<?php
//
// +----------------------------------------------------------------------+
// |zen-cart Open Source E-commerce                                       |
// +----------------------------------------------------------------------+
// | Portions Copyright (c) 2003 osCommerce                               |
// | Portions Copyright (c) 2004 zen-cart                                 |
// +----------------------------------------------------------------------+
// | This source file is subject to version 2.0 of the GPL license,       |
// | that is bundled with this package in the file LICENSE, and is        |
// | available through the world-wide-web at the following url:           |
// | http://www.zen-cart.com/license/2_0.txt.                             |
// | If you did not receive a copy of the zen-cart license and are unable |
// | to obtain it through the world-wide-web, please send a note to       |
// | license@zen-cart.com so we can mail you a copy immediately.          |
// +----------------------------------------------------------------------+
// file: pubs_book_subject.php
// 
// * language file is at languages/english/pubs_book_subject.php *

  require('includes/application_top.php');

  $action = (isset($_GET['action']) ? $_GET['action'] : '');

  if (zen_not_null($action)) {
    switch ($action) {
      case 'insert':
      case 'save':
        if (isset($_GET['mID'])) $subject_id = zen_db_prepare_input($_GET['mID']);
        $subject_name = zen_db_prepare_input($_POST['subject_name']);


        $sql_data_array = array('subject_name' => $subject_name);

        if ($action == 'insert') {
          zen_db_perform(TABLE_PUBS_BOOK_SUBJECT, $sql_data_array);
          $subject_id = zen_db_insert_id();
        } elseif ($action == 'save') {

          zen_db_perform(TABLE_PUBS_BOOK_SUBJECT, $sql_data_array, 'update', "subject_id = '" . (int)$subject_id . "'");
        }



        zen_redirect(zen_href_link(FILENAME_PUBS_BOOK_SUBJECT, (isset($_GET['page']) ? 'page=' . $_GET['page'] . '&' : '') . 'mID=' . $subject_id));
        break;
      case 'deleteconfirm':
        // demo active test
        if (zen_admin_demo()) {
          $_GET['action']= '';
          $messageStack->add_session(ERROR_ADMIN_DEMO, 'caution');
          zen_redirect(zen_href_link(FILENAME_PUBS_BOOK_SUBJECT, 'page=' . $_GET['page']));
        }
        $subject_id = zen_db_prepare_input($_GET['mID']);


        $db->Execute("delete from " . TABLE_PUBS_BOOK_SUBJECT . "
                      where subject_id = '" . (int)$subject_id . "'");


          $products = $db->Execute("delete from " . TABLE_PUBS_BOOK_SUBJECT . "
                                    where subject_id = '" . (int)$subject_id . "'");


        zen_redirect(zen_href_link(FILENAME_PUBS_BOOK_SUBJECT, 'page=' . $_GET['page']));
        break;
    }
  }
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<link rel="stylesheet" type="text/css" href="includes/cssjsmenuhover.css" media="all" id="hoverJS">
<script language="javascript" src="includes/menu.js"></script>
<script language="javascript" src="includes/general.js"></script>
<script type="text/javascript">
  <!--
  function init()
  {
    cssjsmenu('navbar');
    if (document.getElementById)
    {
      var kill = document.getElementById('hoverJS');
      kill.disabled = true;
    }
  }
  // -->
</script>
</head>
<body onload="init()">
<!-- header //-->
<?php require(DIR_WS_INCLUDES . 'header.php'); ?>
<!-- header_eof //-->

<!-- body //-->
<table border="0" width="100%" cellspacing="2" cellpadding="2">
  <tr>
<!-- body_text //-->
    <td width="100%" valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">
      <tr>
        <td width="100%"><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td class="pageHeading"><?php echo HEADING_TITLE; ?></td>
            <td class="pageHeading" align="right"><?php echo zen_draw_separator('pixel_trans.gif', HEADING_IMAGE_WIDTH, HEADING_IMAGE_HEIGHT); ?></td>
          </tr>
        </table></td>
      </tr>
              <tr>
                <td class="smallText" align="right">
<?php
    echo zen_draw_form('search', FILENAME_PUBS_BOOK_SUBJECT, '', 'get');
// show reset search
    if (isset($_GET['search']) && zen_not_null($_GET['search'])) {
      echo '<a href="' . zen_href_link(FILENAME_PUBS_BOOK_SUBJECT) . '">' . zen_image_button('button_reset.gif', IMAGE_RESET) . '</a>&nbsp;&nbsp;';
    }
    echo HEADING_TITLE_SEARCH_DETAIL . ' ' . zen_draw_input_field('search');
    if (isset($_GET['search']) && zen_not_null($_GET['search'])) {
      $keywords = zen_db_input(zen_db_prepare_input($_GET['search']));
      echo '<br/ >' . TEXT_INFO_SEARCH_DETAIL_FILTER . $keywords;
    }
    echo '</form>';
?>
                </td>
              </tr>      
      <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">
              <tr class="dataTableHeadingRow">
                <td class="dataTableHeadingContent"><?php echo TABLE_HEADING_BOOK_SUBJECT; ?></td>
                <td class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_ACTION; ?>&nbsp;</td>
              </tr>
<?php

  if (isset($_GET['search'])) {
    $search = zen_db_prepare_input($_GET['search']);
    
	  $subject_query_raw = "select * from " . TABLE_PUBS_BOOK_SUBJECT . " where subject_name like '%" . $search . "%' order by subject_name";
  } else {
		$subject_query_raw = "select * from " . TABLE_PUBS_BOOK_SUBJECT . " order by subject_name";
	}
  
  $subject_split = new splitPageResults($_GET['page'], MAX_DISPLAY_SEARCH_RESULTS, $subject_query_raw, $subject_query_numrows);
  $subject = $db->Execute($subject_query_raw);

  while (!$subject->EOF) {

    if ((!isset($_GET['mID']) || (isset($_GET['mID']) && ($_GET['mID'] == $subject->fields['subject_id']))) && !isset($aInfo) && (substr($action, 0, 3) != 'new')) {
      $subject_products = $db->Execute("select count(*) as products_count
                                             from " . TABLE_PUBS_BOOK_SUBJECT . "
                                             where subject_id = '" . (int)$subject->fields['subject_id'] . "'");

      $aInfo_array = array_merge($subject->fields, $subject_products->fields);
      $aInfo = new objectInfo($aInfo_array);
    }

    if (isset($aInfo) && is_object($aInfo) && ($subject->fields['subject_id'] == $aInfo->subject_id)) {
      echo '              <tr id="defaultSelected" class="dataTableRowSelected" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)" onclick="document.location.href=\'' . zen_href_link(FILENAME_PUBS_BOOK_SUBJECT, 'page=' . $_GET['page'] . '&mID=' . $subject->fields['subject_id'] . '&action=edit') . '\'">' . "\n";
    } else {
      echo '              <tr class="dataTableRow" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)" onclick="document.location.href=\'' . zen_href_link(FILENAME_PUBS_BOOK_SUBJECT, 'page=' . $_GET['page'] . '&mID=' . $subject->fields['subject_id'] . '&action=edit') . '\'">' . "\n";
    }
?>
                <td class="dataTableContent"><?php echo $subject->fields['subject_name']; ?></td>
                <td class="dataTableContent" align="right">
                  <?php echo '<a href="' . zen_href_link(FILENAME_PUBS_BOOK_SUBJECT, 'page=' . $_GET['page'] . '&mID=' . $subject->fields['subject_id'] . '&action=edit') . '">' . zen_image(DIR_WS_IMAGES . 'icon_edit.gif', ICON_EDIT) . '</a>'; ?>
                  <?php echo '<a href="' . zen_href_link(FILENAME_PUBS_BOOK_SUBJECT, 'page=' . $_GET['page'] . '&mID=' . $subject->fields['subject_id'] . '&action=delete') . '">' . zen_image(DIR_WS_IMAGES . 'icon_delete.gif', ICON_DELETE) . '</a>'; ?>
                  <?php if (isset($aInfo) && is_object($aInfo) && ($subject->fields['subject_id'] == $aInfo->subject_id)) { echo zen_image(DIR_WS_IMAGES . 'icon_arrow_right.gif', ''); } else { echo '<a href="' . zen_href_link(FILENAME_PUBS_BOOK_SUBJECT, zen_get_all_get_params(array('mID')) . 'mID=' . $subject->fields['subject_id']) . '">' . zen_image(DIR_WS_IMAGES . 'icon_info.gif', IMAGE_ICON_INFO) . '</a>'; } ?>
                </td>
              </tr>
<?php
    $subject->MoveNext();
  }
?>
              <tr>
                <td colspan="2"><table border="0" width="100%" cellspacing="0" cellpadding="2">
                  <tr>
                    <td class="smallText" valign="top"><?php echo $subject_split->display_count($subject_query_numrows, MAX_DISPLAY_SEARCH_RESULTS, $_GET['page'], TEXT_DISPLAY_NUMBER_OF_SUBJECTS); ?></td>
                    <td class="smallText" align="right"><?php echo $subject_split->display_links($subject_query_numrows, MAX_DISPLAY_SEARCH_RESULTS, MAX_DISPLAY_PAGE_LINKS, $_GET['page']); ?></td>
                  </tr>
                </table></td>
              </tr>
<?php
  if (empty($action)) {
?>
              <tr>
                <td align="right" colspan="2" class="smallText"><?php echo '<a href="' . zen_href_link(FILENAME_PUBS_BOOK_SUBJECT, 'page=' . $_GET['page'] . '&mID=' . $aInfo->subject_id . '&action=new') . '">' . zen_image_button('button_insert.gif', IMAGE_INSERT) . '</a>'; ?></td>
              </tr>
<?php
  }
?>
            </table></td>
<?php
  $heading = array();
  $contents = array();

  switch ($action) {
    case 'new':
      $heading[] = array('text' => '<b>' . TEXT_HEADING_NEW_BOOK_SUBJECT . '</b>');

      $contents = array('form' => zen_draw_form('subject', FILENAME_PUBS_BOOK_SUBJECT, 'action=insert', 'post', 'enctype="multipart/form-data"'));
      $contents[] = array('text' => TEXT_NEW_INTRO);
      $contents[] = array('text' => '<br>' . TEXT_SUBJECT_NAME . '<br>' . zen_draw_input_field('subject_name', '', zen_set_field_length(TABLE_PUBS_BOOK_SUBJECT, 'subject_name')));


      $contents[] = array('align' => 'center', 'text' => '<br>' . zen_image_submit('button_save.gif', IMAGE_SAVE) . ' <a href="' . zen_href_link(FILENAME_PUBS_BOOK_SUBJECT, 'page=' . $_GET['page'] . '&mID=' . $_GET['mID']) . '">' . zen_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
      break;
    case 'edit':
      $heading[] = array('text' => '<b>' . TEXT_HEADING_EDIT_BOOK_SUBJECT . '</b>');

      $contents = array('form' => zen_draw_form('subject', FILENAME_PUBS_BOOK_SUBJECT, 'page=' . $_GET['page'] . '&mID=' . $aInfo->subject_id . '&action=save', 'post', 'enctype="multipart/form-data"'));
      $contents[] = array('text' => TEXT_EDIT_INTRO);
      $contents[] = array('text' => '<br>' . TEXT_SUBJECT_NAME . '<br>' . zen_draw_input_field('subject_name', $aInfo->subject_name, zen_set_field_length(TABLE_PUBS_BOOK_SUBJECT, 'subject_name')));

      $contents[] = array('align' => 'center', 'text' => '<br>' . zen_image_submit('button_save.gif', IMAGE_SAVE) . ' <a href="' . zen_href_link(FILENAME_PUBS_BOOK_SUBJECT, 'page=' . $_GET['page'] . '&mID=' . $aInfo->subject_id) . '">' . zen_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
      break;
    case 'delete':
      $heading[] = array('text' => '<b>' . TEXT_HEADING_DELETE_BOOK_SUBJECT . '</b>');

      $contents = array('form' => zen_draw_form('subject', FILENAME_PUBS_BOOK_SUBJECT, 'page=' . $_GET['page'] . '&mID=' . $aInfo->subject_id . '&action=deleteconfirm'));
      $contents[] = array('text' => TEXT_DELETE_INTRO);
      $contents[] = array('text' => '<br><b>' . $aInfo->subject_name . '</b>');

      if ($aInfo->products_count > 0) {
        $contents[] = array('text' => '<br>' . zen_draw_checkbox_field('delete_products') . ' ' . TEXT_DELETE_SUBJECT);
        $contents[] = array('text' => '<br>' . sprintf(TEXT_DELETE_WARNING_SUBJECT, $aInfo->products_count));
      }

      $contents[] = array('align' => 'center', 'text' => '<br>' . zen_image_submit('button_delete.gif', IMAGE_DELETE) . ' <a href="' . zen_href_link(FILENAME_PUBS_BOOK_SUBJECT, 'page=' . $_GET['page'] . '&mID=' . $aInfo->subject_id) . '">' . zen_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
      break;
    default:
      if (isset($aInfo) && is_object($aInfo)) {
        $heading[] = array('text' => '<b>' . $aInfo->subject_name . '</b>');

        $contents[] = array('align' => 'center', 'text' => '<a href="' . zen_href_link(FILENAME_PUBS_BOOK_SUBJECT, 'page=' . $_GET['page'] . '&mID=' . $aInfo->subject_id . '&action=edit') . '">' . zen_image_button('button_edit.gif', IMAGE_EDIT) . '</a> <a href="' . zen_href_link(FILENAME_PUBS_BOOK_SUBJECT, 'page=' . $_GET['page'] . '&mID=' . $aInfo->subject_id . '&action=delete') . '">' . zen_image_button('button_delete.gif', IMAGE_DELETE) . '</a>');
       
        $contents[] = array('text' => '<br>' . TEXT_PRODUCTS . ' ' . $aInfo->products_count);
      }
      break;
  }

  if ( (zen_not_null($heading)) && (zen_not_null($contents)) ) {
    echo '            <td width="25%" valign="top">' . "\n";

    $box = new box;
    echo $box->infoBox($heading, $contents);

    echo '            </td>' . "\n";
  }
?>
          </tr>
        </table></td>
      </tr>
    </table></td>
<!-- body_text_eof //-->
  </tr>
</table>
<!-- body_eof //-->

<!-- footer //-->
<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
<!-- footer_eof //-->
<br>
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>
